Skip to main content
POST
Reserve a temporary connection/run-bound request body

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
default:payload
Required string length: 1 - 160
mediaType
string
default:application/octet-stream
Required string length: 1 - 160
Pattern: ^[a-zA-Z0-9!#$&^_.+-]+\/[a-zA-Z0-9!#$&^_.+-]+$
byteSize
integer
Required range: 0 <= x <= 33554432

Response

Upload/staging receipt

handle
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
name
string
required
mediaType
string
required
size
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
state
enum<string>
required
Available options:
pending,
uploading,
finalizing,
ready
sha256
string | null
required
expiresAt
string
required
uploadUrl
string<uri>
required
browserUploadUrl
string<uri>
required